org.eclipse.jetty.websocket

## Interface WebSocketParser.FrameHandler

- All Known Subinterfaces:
    Extension
  All Known Implementing Classes:
    AbstractExtension, DeflateFrameExtension, FragmentExtension, IdentityExtension
  Enclosing interface:
    WebSocketParser

      public static interface WebSocketParser.FrameHandler

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(int code, String message)`
    `void` | `onFrame(byte flags, byte opcode, Buffer buffer)`

- - ### Method Detail

    - #### onFrame

          void onFrame(byte flags,
                     byte opcode,
                     Buffer buffer)

    - #### close

          void close(int code,
                   String message)

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.